<template>
  <img alt="Vue logo" src="./assets/logo.png">
  <!-- <h1>Root app Component</h1>
  {{ username }}
  <component-a/>
  {{ username }} -->
  <!-- <button @click="isMenuOpen = true">Open Menu</button>
  <main-menu v-if="isMenuOpen" @closeMenu="closeMenu"/> -->
  <h1>Root App Component</h1>
  <p>Name : {{ name }}</p>
  <Textinput v-model="name"/>
</template>

<script>
// import ComponentA from './components/ComponentA.vue';
// import MainMenu from './components/MainMenu.vue';
import Textinput from './components/Textinput.vue';
export default {
  name: 'App',
  components: {
    // ComponentA,
    // MainMenu,
    Textinput,
  },
  data() {
    return {
      name: '',
    }
  },
  // data:() =>{
  //   return{
  //     name:'',
  //     isMenuOpen:false,
  //     username:'Jimmy',
  //     password:'123465798'
  //   }
  // },
  // methods:{
  //   closeMenu(data){
  //     this.isMenuOpen = false,
  //     this.name = data
  //   }
  // },
  // provide(){
  //   return{
  //     username: this.username,
  //     password: this.password
  //   }
  // }
}
</script>
<style>
*{
  text-align: center;
}
</style>